Luxor PlatformAPI DocumentationWorkspaces
Get member permission
Returns a summary of a specific permission associated to a Workspace.
Authorization
LuxorAPIKey authorization<token>
Use your API key here.
In: header
Path Parameters
member_id*string
Format
uuidpermission_id*string
Format
uuidResponse Body
application/json
application/json
curl -X GET "https://example.com/v2/workspace/members/36c414cb-b01a-4d0c-b276-1d41b955950f/permissions/51cfa283-2f85-456d-919a-fe1722f51a59"{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "product": "POOL", "site": { "id": "b0a5fad8-0e09-4f10-ac20-ccd80fb2d138", "name": "My Site", "url": "/v2/workspace/sites/b0a5fad8-0e09-4f10-ac20-ccd80fb2d138" }, "subaccount": { "id": 1, "name": "my_subaccount", "created_at": "2019-08-24T14:15:22Z", "url": "/v2/pool/subaccounts/my_subaccount" }, "role": "VIEWER", "created_at": "2019-08-24T14:15:22Z", "permissions": [ "EDIT_BULK_ACTIONS_POOL" ]}{ "statusCode": 400, "code": "FST_ERR_VALIDATION", "error": "Bad Request", "message": "body/end_date Required"}